Bug 196204 - Yum Fedora Core 4 upgrade to Fedora Core 5 Transaction Check Error in e2fsprogs
Yum Fedora Core 4 upgrade to Fedora Core 5 Transaction Check Error in e2fsprogs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
http://www.experts-exchange.com/Opera...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-21 16:41 EDT by Rob Staveley (Tom)
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 16:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Staveley (Tom) 2006-06-21 16:41:23 EDT
Description of problem:

I realise that upgrading FC4 to FC5 isn't approved, but I followed the
instructions at
http://fedoraproject.org/wiki/YumUpgradeFaq#head-046d8b21e4b28db2ccfc1686482e54ab2f97e2af
and I got stuck on...

> Transaction Check Error:   file /usr/share/man/man8/blkid.8.gz from install of
e2fsprogs-1.38-12 conflicts with file from package e2fsprogs-1.38-0.FC4.1

... when I `yum -y update`. 

Version-Release number of selected component (if applicable):

Yum version 2.6.1

How reproducible:

I haven't attempted to repeat the problem. I haven't the resources available,
I'm afraid to say. 

Steps to Reproduce:
1. Intall a x86_64 FC4 SMT system, install PostgreSQL and cyrus. Then yum update
everything including the kernel (2.6.16-1.2115_FC4smp #1 SMP Mon Jun 5 15:01:20
EDT 2006 x86_64 x86_64 x86_64 GNU/Linux)
2. Remove all kernels prior to 2.6.16, using yum
3. rpm -Uhv
http://download.fedora.redhat.com/pub/fedora/linux/core/5/i386/os/Fedora/RPMS/fedora-release-5-5.noarch.rpm

4. yum -y update
5. Dependency errors in the yum update demand that you remove: php, php-pear,
php-pgsql, php-ldap and cyrus, which you then do
6. again retry yum -y update and you see... 
  
Actual results:

Transaction Check Error:   file /usr/share/man/man8/blkid.8.gz from install of
e2fsprogs-1.38-12 conflicts with file from package e2fsprogs-1.38-0.FC4.1

Expected results:

Something to indicate that the yum update was successful.

Additional info:

This is my first bug report, so I hope this is OK. The URL on this bug indicates
my question posted on Experts Exchange, which provides a history on the bug and
provides an alternative channel for correspondance, if that helps :-)
Comment 1 Rob Staveley (Tom) 2006-06-22 02:00:26 EDT
Using RPM I can see what's at the bottom of this problem.

--------8<--------
[root@seseiaa2 packages]# pwd
/var/cache/yum/core/packages
[root@seseiaa2 packages]# rpm -Uvh e2fsprogs-*
device-mapper-1.02.02-3.2.x86_64.rpm dmraid-1.0.0.rc9-FC5_5.2.x86_64.rpm
lvm2-2.02.01-1.2.1.x86_64.rpm
Preparing...                ########################################### [100%]
        file /usr/share/man/man8/blkid.8.gz from install of e2fsprogs-1.38-12
conflicts with file from package e2fsprogs-1.38-0.FC4.1
--------8<--------

The work-around I used was to use --replacefiles.
--------8<--------
[root@seseiaa2 packages]# rpm -Uvh --replacefiles e2fsprogs-*
device-mapper-1.02.02-3.2.x86_64.rpm dmraid-1.0.0.rc9-FC5_5.2.x86_64.rpm
lvm2-2.02.01-1.2.1.x86_64.rpm                                    
--------8<--------
Comment 2 Jeremy Katz 2006-09-18 16:49:47 EDT
You need to remove some packages before doing an update with yum between releaes

Note You need to log in before you can comment on or make changes to this bug.